#!/usr/bin/env python
# -*- coding: utf8 -*- 

# The user to run the daemon as. If left empty the daemon will run under the user that starts the script.
run_as = "eobot"

# Path to the daemon's pidfile.
pidfile = "/var/run/eobotdtest.pid"

# IRC server to connect to.
server = "chat.freenode.net"

# Port to connect to IRC server on.
port = 6667

# EoBot's IRC nick.
nick = "EoBotTest"

# EoBot's IRC name.
name = "EoBotTest"

# Password to use to identify the bot with NickServ
nickserv_password = "password"

# EoBot will connect to this channel on receiving the welcome message.
channel = "#eobot" 

# Number of seconds to wait before attempting reconnect after a disconnection.
reconnect = 60

# Number of seconds to delay in between sending each line of text.
send_delay = 1

# Whether to log errors to /var/log/daemons.log
do_syslog = True

# For various commands that require a password to use.
admin_pwd = "password"

# QUIT message when using the .die command.
die_msg = "mi revenos"

# Link to main website.
zz9pza = "http://www.zz9pza.net"

# Link to EoBot's webpage.
website = zz9pza + "/eobot"

# Reply string for CTCP VERSION message.
version_reply = "VERSION EoBot verkita de tommjames. " + website

# Help page.
help = zz9pza + "/eobot/helpo"

# Link to Tajpi's webpage.
tajpi = zz9pza + "/tajpi"

# Directory where channel logs are saved. The 'run_as' user must have access rights to the directory.
log_path = "/home/eobot/logs"

# Path to proverbs file. Used by the .proverbs command.
proverboj_file = "/home/eobot/proverboj.txt"

# Path to PIV headwords file. Used by the .kategorio and .rimo commands.
kategorioj_file = "/home/eobot/vortklasoj.txt"

# Path to thesaurus file. Used by the .tez command.
tez_file = "/home/eobot/tez.txt"

# Path to etymological dictionary. Used by the .etim command.
etim_file = "/home/eobot/etim.txt"

# Path to ESPDIC dictionary file. Used buy the .espdic command.
espdic_file = "/home/eobot/espdic.txt"

# The following files are generated by index.py which runs as an hourly cron job.
# Path to word-count index file. Used by the .plejoftaj command. 
word_index_file = "/home/eobot/word_index.txt"
word_hours_index_file = "/home/eobot/word_hours_index.txt"
word_days_index_file = "/home/eobot/word_days_index.txt"
word_weeks_index_file = "/home/eobot/word_weeks_index.txt"
word_months_index_file = "/home/eobot/word_months_index.txt"
word_years_index_file = "/home/eobot/word_years_index.txt"
# Path to nick-word-count file. Used by the .plejaktivaj command.
nick_index_file = "/home/eobot/nick_index.txt"
nick_hours_index_file = "/home/eobot/nick_hours_index.txt"
nick_days_index_file = "/home/eobot/nick_days_index.txt"
nick_weeks_index_file = "/home/eobot/nick_weeks_index.txt"
nick_months_index_file = "/home/eobot/nick_months_index.txt"
nick_years_index_file = "/home/eobot/nick_years_index.txt"
# Path to .kioestas index file. Used by the .kioestas command.
kioestas_file = "/home/eobot/kioestas.txt"

# Link to website of Akademio de Esperanto. Used by the .av command.
av_site = "http://www.akademio-de-esperanto.org"
av_search = av_site + "/akademia_vortaro/index.html?serchas=1&ve=%s&vg=-&vr=jes&vp=jes&vs=jes&vm=jes&vl=jes&vf=jes&vk=jes"

# Link to website of Komputeko. Used by the .komputeko command.
komputeko_search = "http://www.komputeko.net/index_eo.php?vorto=%s"

# Link to Reta Vortaro website. Used by the .revo command.
revo_site = "http://www.reta-vortaro.de"
revo_search = revo_site + "/cgi-bin/sercxu.pl?sercxata=%s"

# Link to Sonja's English-Esperanto Dictionary website. Used by the .seed command. 
seed_search = "http://vortaro.kisa.ca/search.php?someaction=search&word=%s"

# Link to La Simpla Vortaro website. Used by the .tranĉu command.
sivo_search = "http://www.simplavortaro.org/?%s=%s"

# Link to Majstro website. Used by the .majstro and .traduku commands.
majstro_search = "http://www.majstro.com/mobile/dictionary?s=%s&t=%s&w=%s"

# Link to Google Translate website. Used by the .traduku command.
google_translate_search = "http://translate.google.com/translate_a/t?client=EoBot&text=%s&sl=%s&tl=%s"

# Link to the Wikipedia website. Used by the .wiki and .viki commands.
wiki_link = "http://%s.wikipedia.org/w/index.php?search=%s"

# Link to Google website. Used by the guglu command.
google_search = "http://www.google.co.uk/search?hl=en&q=%s"
